Foxit PDF RDK

Public Member Functions | List of all members
EditFormTask Class Reference

EditFormTask class is used to handle various events related to forms, such as reset, import, and export. More...

Inheritance diagram for EditFormTask:

## Public Member Functions
| constructor (form, editType, filePath, cb)
| Constructor for the EditFormTask class. More...
Public Member Functions inherited from Task
| canCancel ()
| Checks if the task can be cancelled. More...
| cancel ()
| Cancels the task. Attempts to cancel the task if it is in a cancellable state.
| constructor ()
| Constructor for the Task class. Initializes a new instance of the Task.
| errorCode ()
| Gets the error code of the task. More...
| exeSuccess ()
| Checks if the task was executed successfully. More...
| extErrorCode ()
| Gets the extended error code of the task. More...
| finish ()
| Marks the task as finished. Completes the task and performs any necessary cleanup.
| getPriority ()
| Gets the current priority of the task. More...
| getStatus ()
| Gets the current status of the task. More...
| isCanceled ()
| Checks if the task has been cancelled. More...
| isModify ()
| Checks if the task has been modified. More...
| notify (result)
| Notifies about the result of the js funcion. More...
| prepare ()
| Prepares the task for execution. Performs any necessary setup before the task can be run.
| setErrorCode (error)
| Sets the error code for the task. More...
| setPriority (priority)
| Sets the priority of the task. More...
| setStatus (status)
| Sets the status of the task. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Detailed Description

EditFormTask class is used to handle various events related to forms, such as reset, import, and export.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

EditFormTask.constructor | ( | form | ,
|  | editType | ,
|  | filePath | ,
|  | cb |
| ) |  |

Constructor for the EditFormTask class.

Parameters

  {Form} | form - The form object to be operated on.
  {number} | editType - The type of edit, defined by the EditFormType.
  {string} | filePath - The file path required for import or export operations.
  {EditFormTaskCallBack} | cb - The callback to be invoked with the result of the task.